static const char *RcsId = "$Id $";
//+=============================================================================
//
// file :         Keithley2182AStateMachine.cpp
//
// description :  C++ source for the Keithley2182A and its alowed 
//                methods for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: olivierroux $
//
// $Revision: 1.1 $
// $Date: 2013-02-14 14:53:51 $
//
// SVN only:
// $HeadURL: $
//
// CVS only:
// $Source: /users/chaize/newsvn/cvsroot/Instrumentation/Keithley2182A/src/Keithley2182AStateMachine.cpp,v $
// $Log: not supported by cvs2svn $
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <Keithley2182A.h>
#include <Keithley2182AClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace Keithley2182A_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_value_allowed
// 
// description : 	Read/Write allowed for value attribute.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_value_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_autoRange_allowed
// 
// description : 	Read/Write allowed for autoRange attribute.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_autoRange_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_channel_allowed
// 
// description : 	Read/Write allowed for channel attribute.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_channel_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_range_allowed
// 
// description : 	Read/Write allowed for range attribute.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_range_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_SelectCH1_allowed
// 
// description : 	Execution allowed for SelectCH1 command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_SelectCH1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_SelectCH2_allowed
// 
// description : 	Execution allowed for SelectCH2 command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_SelectCH2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_AutoRangeON_allowed
// 
// description : 	Execution allowed for AutoRangeON command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_AutoRangeON_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_AutoRangeOFF_allowed
// 
// description : 	Execution allowed for AutoRangeOFF command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_AutoRangeOFF_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_RangeUP_allowed
// 
// description : 	Execution allowed for RangeUP command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_RangeUP_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_RangeDOWN_allowed
// 
// description : 	Execution allowed for RangeDOWN command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_RangeDOWN_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley2182A::is_GetRange_allowed
// 
// description : 	Execution allowed for GetRange command.
//
//-----------------------------------------------------------------------------
bool Keithley2182A::is_GetRange_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace Keithley2182A_ns
